package capitulo05.bloque03.instrumentos;

import capitulo04.utils.Utils;

public class Principal {
    public static void main(String[] args) {
        Instrumento[] instrumentos = new Instrumento[10];

        for (int i = 0; i < instrumentos.length; i++) {
            int numAleatorio = Utils.generarIntAleatorioEntreLimites(0,2);
            if (numAleatorio == 0) {
                instrumentos[i] = new Guitarra();
            } else if (numAleatorio == 1) {
                instrumentos[i] = new Piano();
            } else {
                instrumentos[i] = new Bateria();
            }
        }

        for (Instrumento ins : instrumentos) {
            ins.tocar();
        }
    }
}
